Package org.apache.lucene.store

# Enum Class DataAccessHint

java.lang.Object
java.lang.Enum<DataAccessHint>
org.apache.lucene.store.DataAccessHint

All Implemented Interfaces:
  `Serializable`, `Comparable<DataAccessHint>`, `Constable`, `IOContext.FileOpenHint`

public enum DataAccessHint extends Enum<DataAccessHint> implements IOContext.FileOpenHint
Hint on the data access pattern likely to be used

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RANDOM`
  The access pattern is completely random
  `SEQUENTIAL`
  The access pattern is only sequential (forwards-only)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataAccessHint`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataAccessHint[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RANDOM

    public static final DataAccessHint RANDOM
    The access pattern is completely random

  - ### SEQUENTIAL

    public static final DataAccessHint SEQUENTIAL
    The access pattern is only sequential (forwards-only)

- ## Method Details

  - ### values

    public static DataAccessHint[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataAccessHint valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null